Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Error: com.sun.tools.javac.code.Symbol$CompletionFailure...

by BlackBerry Development Advisor ‎02-16-2010 11:31 AM - edited ‎02-17-2010 12:44 PM (1,673 Views)

Summary


This article applies to the following:


  • BlackBerry® Java® Development Environment (JDE)


Problem


When building an application within the BlackBerry JDE, the build fails and an error similar to the one below is shown.



C:\Program Files\Research In Motion\BlackBerry JDE 4.2.1\bin\rapc.exe -quiet import=..\lib\net_rim_api.jar codename=com\rim\samples\device\xmldemo\com_rim_xmldemo com\rim\samples\device\xmldemo\com_rim_xmldemo.rapc warnkey=0x52424200;0x52435200;0x52525400 "C:\Program Files\Research In Motion\BlackBerry JDE 4.2.1\samples\com\rim\samples\device\resource\XmlDemo.rrh" "C:\Program Files\Research In Motion\BlackBerry JDE 4.2.1\samples\com\rim\samples\device\xmldemo\img\xmldemo_jde.png" "C:\Program Files\Research In Motion\BlackBerry JDE 4.2.1\samples\com\rim\samples\device\xmldemo\xml\bookstore.xml" "C:\Program Files\Research In Motion\BlackBerry JDE 4.2.1\samples\com\rim\samples\device\xmldemo\XmlDemo.java" "C:\Program Files\Research In Motion\BlackBerry JDE 4.2.1\samples\com\rim\samples\device\xmldemo\XmlDemoMainScreen.java"An exception has occurred in the compiler (1.5.0_03). Please file a bug at the Java Developer Connection (http://java.sun.com/webapps/bugreport) after checking the Bug Parade for duplicates. Include your program and the following diagnostic in your report. Thank you.com.sun.tools.javac.code.Symbol$CompletionFailure: file net\rim\device\internal\ui\Border.class not foundError!: Error: java compiler failed: javac -source 1.3 -target 1.1 -g -O -d c:\temp\rapc_4cede3ff.dir -bootclasspath ..\lib\net_rim_api. ...Error while building project


Cause


This error is triggered by the use of the Java® Development Kit (JDK) version 1.5.0_1, 1.5.0_03, or 1.5.0_5.


Resolution


Install a different version of the JDK version 1.5 ( i.e. jdk1.5.0_11 or jdk1.5.0_12).

Contributors
Users Online
Currently online: 26 members 1,563 guests
Please welcome our newest community members: